export GRHD
module GRHD


using dg1d
import dg1d: Abstract_SystemOfEqs, Abstract_BdryConditions, flux, maxabs_v, 
             AV.Abstract_AV, Mesh, NewEoS, @option
import dg1d.EquationOfState: AbstractParameters_EquationOfState, Parameters_Polytrope
using dg1d.NewEoS
using Interpolations, JLD2
using LinearAlgebra
import Parameters: @with_kw, @unpack
using Plots, PlotThemes
using ProgressMeter
using Printf


include("parameters.jl")
include("types.jl")
include("eqs.jl")
include("rhs_ldg.jl")
include("rhs_bernstein.jl")
include("rhs_weno.jl")
include("initialdata.jl")
include("evolve.jl")
include("analyze.jl")


end # module
