abstract type AbstractConservationLaw end

struct ConservationLaw <: AbstractConservationLaw
  flux::Vector{Float64}
  nflux_lhs::Vector{Float64}
  nflux_rhs::Vector{Float64}
end

struct BalanceLaw <: AbstractConservationLaw
  flux::Vector{Float64}
  source::Vector{Float64}
  nflux_lhs::Vector{Float64}
  nflux_rhs::Vector{Float64}
end

abstract type AbstractConservationLawFormulation end
struct WeakFormulation <: AbstractConservationLawFormulation end
struct StrongFormulation <: AbstractConservationLawFormulation end
