using dg1d.EquationOfState


@testset "EquationOfState" begin


@testset "Interface" begin

  # test with polytropic eos
  prms = Parameters_Polytrope()
  eos = Polytrope(prms)

  rho = 1.0
  p = eos(Pressure, Density(rho))
  h = eos(Enthalpy, Pressure(p), Density(rho))
  eps = eos(InternalEnergy, Pressure(p), Density(rho))
  e = eos(TotalEnergy, Pressure(p), Density(rho))
  dpdrho = eos(Derivative{Pressure, Density}, Density(rho))

  # call combinations we know are not implemented
  @test_throws ErrorException eos(Enthalpy, InternalEnergy(eps))
  @test_throws ErrorException eos(Derivative{Enthalpy, Pressure}, Density(rho))

end


end
