@testset "Mesh" begin

@testset "Initialization" begin

  prms = dg1d.Parameters_Mesh()
  dg1d.sanitize(prms)
  mesh = dg1d.Mesh(prms)

end


@testset "Mesh operations" begin

  prms = dg1d.Parameters_Mesh(N=10, K=100, xmin=-1.0, xmax=1.0)
  mesh = dg1d.Mesh(prms)

  u = @. sin(2.0*π*mesh.x)
  grid_avg = dg1d.grid_average(u, mesh)
  result = 0.0
  @test isapprox(grid_avg, result, atol=1e-12)

  u = @. mesh.x + 1.0
  grid_avg = dg1d.grid_average(u, mesh)
  result = 1.0
  @test isapprox(grid_avg, result, atol=1e-12)


end


end
